TAAS - Feature #187

Account Import
05/09/2023 05:41 PM - Junaid M

Status: New Changes Coding Done Start date: 05/15/2023
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Account Import

Description

Coding Account Import

History

#1 - 05/15/2023 03:23 PM - Junaid M

- Assignee changed from Junaid M to Amal Pious

#2 - 05/15/2023 03:46 PM - Amal Pious

- Status changed from New to Coding Started

- Start date changed from 05/09/2023 to 05/15/2023
- % Done changed from 0 to 40

#3 - 05/17/2023 11:01 AM - Amal Pious
- Status changed from Coding Started to New
- % Done changed from 40 to 0

#4 - 05/24/2023 04:39 PM - Junaid M

- Assignee changed from Amal Pious to Junaid M

#5 - 06/26/2023 05:27 PM - Anil KV

- Assignee changed from Junaid M to travvise Admin

#6 - 07/29/2024 01:55 PM - Anil KV

Chart of Account List Items

Category Code

Parent Group Code

Code (Group/Ledger/Main Ledger)
Name (Group/Ledger/Main Ledger)
Display Name

Type

Main Ledger Type

Remarks

Status

Customer

Name

Display Name

Group

Category

Type

Family

Sys Type

Default Currency Code
Main Ledger Code (Not set then Select Default or Input)

Phone

Email
Address
Place

City

Country

ZIP Code
State

Fax

TRN Number
Credit Limit
Counter Staff

Commission Agent

ID Number

ID Expiry Date

Passport No

Passport Expiry Date
Passport Issued By

Remarks
Status

Supplier

Name

Display Name
Group
Category
Type

Family

Sys Type

Default Currency Code
Main Ledger Code (Not set then Select Default or Input)

Phone
Email
Address
Place
City
Country
ZIP Code
State

Fax

TRN Number
ID Number

ID Expiry Date

Remarks
Status

Employee

Code

Name

Display Name
Group
Category
Type

Family

Sys Type

Default Currency Code
Main Ledger Code (Not set then Select Default or Input)

Phone
Email
Address
Place
City
Country
ZIP Code
State

Fax

TRN Number
ID Number

ID Expiry Date

Passport No

Passport Expiry Date
Passport Issued By
Remarks
Status

Commission Agent

Code

Name

Display Name

Group

Category

Type

Family

Sys Type

Default Currency Code
Main Ledger Code (Not set then Select Default or Input)
Phone

Email

Address

ZIP Code

Country

State

Country

Fax

TRN Number

ID Number

ID Expiry Date
Passport No

Passport Expiry Date
Passport Issued By
Remarks

Status

Name

Display Name

Main Ledger Code (Not set then Select Default or Input)
Default Currency Code

Cash Type

Remarks

Status

Name

Main Ledger Code (Not set then Select Default or Input)
Default Currency Code
Group

Category

Type

Family

Address

Place

City

Country

ZIP Code

State

Contact Person
Contact Phone

Contact Email

Remarks

Status

Credit Card

Name

Display Name

Card Type

Main Ledger Code (Not set then Select Default or Input)
Default Currency Code

Own/Customer Card
Remarks
Status

Corporate Card

Code

Name

Display Name

Card Type

Main Ledger Code (Not set then Select Default or Input)
Default Currency Code

Own/Customer Card

Remarks

Status

Received Cheque

Code

Name

Display Name

Type

Main Ledger Code (Not set then Select Default or Input)
Default Currency Code

Remarks

Status

Received Cheque

Code

Name

Display Name

Type

Main Ledger Code (Not set then Select Default or Input)
Default Currency Code

Remarks

Status

#7 - 07/29/2024 02:05 PM - Anil KV
GUI Changes

—->Properties list 'Index' Column width reduce and 'Column' Width Ingress
—>Incress 'File' Name entrybox width

—-> Category Left Margin Ingress

-> Chart of Account

- 'Type' to 'Input Type String'

—> Customer and Supplier

- 'Main Ledger' to 'Default Main Ledger' (Select box)
-> Add a Tab 'Wrong Data'

List Clolumns

# | [All Column - import inputs ] | Error

[Excel file correct and import again]

-> Add a Tab - 'Not Imported'

-List Columns

# | Code Name | Main Ledger | Error

#8 - 07/29/2024 02:54 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#9 - 07/31/2024 02:41 PM - Anil KV

Excel to list:-

this.insGlobalFunctions.fnReadExcelFile (objFileEvent);

#10 - 07/31/2024 04:28 PM - Anil KV

- Assignee changed from travvise Admin to Baseem Shan

#11 - 08/09/2024 10:02 AM - Baseem Shan
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#12 - 08/23/2024 11:16 AM - Anonymous

- Assignee changed from Baseem Shan to Amal Ck

#13 - 09/03/2024 06:00 PM - Amal Ck
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#14 - 09/04/2024 02:46 PM - unnikannan S
- Status changed from Coding Done to Testing Started

#15 - 09/04/2024 06:09 PM - unnikannan S
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.Error While Clearing Index No From Properties
2.Red Star For Mandatory Fields

#16 - 09/05/2024 06:24 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#17 - 11/12/2024 06:17 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#18 - 12/03/2024 02:17 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

1. Add a new save settings button on the properties grid. (refer journal import)

#19 - 12/03/2024 02:17 PM - Arathy PS

- Assignee changed from Amal Ck to Augustin Jose

#20 - 12/11/2024 11:16 AM - Bertin Joseph
- Status changed from New Changes to Reopen Bugs

- Assignee changed from Augustin Jose to Amal Ck

ISSUE FOUND

(DONE)1.Group, Category,Type,Family, designation -- all these data has to be entered manually while importing.it has to be saved automatically in
their respective modules.

#21 - 12/11/2024 06:14 PM - Amal Ck
- Status changed from Reopen Bugs to New Changes

- Assignee changed from Amal Ck to Augustin Jose

#22 - 03/06/2025 04:38 PM - Arathy PS

- Assignee changed from Augustin Jose to Nawal Sidique
#23 - 03/06/2025 05:09 PM - Arathy PS
NEW CHANGES - FIXED

Discuss with anil whether the Import need first two requirements fields,

1. Code and name in same column in excel file :

A checkbox Code and name in same column

Give same column no: for both code and name and if the check box is ticked then an entry box: Split character.
Add tooltip to the fields.

2. If the code is not auto generated and no code in excel file then a check box, No code-- if the check box is ticked then an entry box: code character
add title to the fields.

3. The default action type should be: Remove all and insert.

#24 - 03/13/2025 08:42 AM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70
